Package org.apache.nutch.service

## Interface NutchReader

- All Known Implementing Classes:
    `LinkReader`, `NodeReader`, `SequenceReader`

      public interface NutchReader

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Configuration` | `conf` |
    `static org.slf4j.Logger` | `LOG` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `count​(String path)` |
    `List` | `head​(String path, int nrows)` |
    `List` | `read​(String path)` |
    `List` | `slice​(String path, int start, int end)` |

- - ### Field Detail

    - #### LOG

          static final org.slf4j.Logger LOG

    - #### conf

          static final Configuration conf

  - ### Method Detail

    - #### read

          List read​(String path)
             throws FileNotFoundException

      Throws:
        `FileNotFoundException`

    - #### head

          List head​(String path,
                    int nrows)
             throws FileNotFoundException

      Throws:
        `FileNotFoundException`

    - #### slice

          List slice​(String path,
                     int start,
                     int end)
              throws FileNotFoundException

      Throws:
        `FileNotFoundException`

    - #### count

          int count​(String path)
             throws FileNotFoundException

      Throws:
        `FileNotFoundException`